body { background-color:#eee; font-family:Arial; color:#000; padding:0px; margin:0; padding-top:70px; }

a,a:link,a:visited,a:active { color:#000; text-decoration:none; }
a:hover { color:#000; text-decoration:underline; }

table { width:100%; border-spacing:1px; xborder-collapse:collapse; }
tr { vertical-align:middle; }
td { vertical-align:middle; }

.left { text-align:left; }
.center { text-align:center; }
.right { text-align:right; }

#content { padding:0px; }

#now { font-size:16px; font-weight:bold; padding:0px 8px; position:fixed; top:0px; left:0px; right:0px; height:30px; line-height:30px; border-top:5px solid #000; background-color:#000; color:#fff; }
#now a { color:#fff; }

#tabs { float:right; height:30px; line-height:30px; }
#tabs a { display:inline-block; padding:0px 12px; height:30px; line-height:30px; background-color:#333; }
#tabs a.selected { background-color:#666; }

#options { text-align:right; font-size:16px; font-weight:bold; padding:0px 8px; position:fixed; top:35px; left:0px; right:0px; height:30px; line-height:30px; border-top:5px solid #666; background-color:#666; color:#fff; }
#options a { display:inline-block; padding:0px 12px; height:30px; line-height:30px; background-color:#999; color:#fff; }
#options a.selected { background-color:#eee; color:#333; }

.client-headline { font-size:160%; padding:12px; padding-top:30px; }
.client-info { font-size:70%; padding:12px; }
.client-show-images { padding:12px; }
.client-info-error { font-size:70%; margin:12px; padding:6px; background-color:#c00; color:#fff; }

th { background-color:#ccc; padding:4px 8px; text-align:left; white-space:nowrap; }
th:first-child { padding-left:30px; }
tr { background-color:#fff; border-left:5px solid #ccc; }
tr:hover { background-color:#e3e3e3; }
td { padding:4px 8px; vertical-align:top; white-space:nowrap; }
td.ok { border-left:20px solid #2EFE2E; }
td.not-ok { border-left:20px solid #cc1515; }
td.maybe-ok { border-left:20px solid #f90; }
td.deactivated { border-left:20px solid #ccc; }
td.service { border-left:20px solid #06c; }

.preview { width:200px; height:auto; }
img, svg, object, embed { width:200px; height:auto; }
object, embed { pointer-events:none; display:block; z-index:1; z-index:-1; }
.gap { border-left:8px solid #eee; }

.inactive, .inactive a { color:#999; }
.trunc { overflow:hidden; text-overflow:ellipsis; max-width:1px; }

tr:hover { background-color:#e3e3e3; }

.limit-ip { background-color:#cc1515; color:#fff; }
.limit-ip a { color:#fff; }

.limit-temp1-min { background-color:#0078d7; color:#fff; }
.limit-temp1-max { background-color:#cc1515; color:#fff; }
.limit-temp2-min { background-color:#0078d7; color:#fff; }
.limit-temp2-max { background-color:#cc1515; color:#fff; }
.limit-tempcase-min { background-color:#0078d7; color:#fff; }
.limit-tempcase-max { background-color:#cc1515; color:#fff; }
.limit-heating { background-color:#ff7c20; color:#fff; text-align:center; }
.limit-last-timestamp { background-color:#cc1515; color:#fff; }
.limit-voltage { background-color:#cc1515; color:#fff; text-align:center; }
.limit-ecode-number { background-color:#cc1515; color:#fff; text-align:center; }
.limit-ecode-timestamp { background-color:#cc1515; color:#fff; text-align:center; }
.limit-dcstate { background-color:#cc1515; color:#fff; text-align:center; }
.limit-ezb, .limit-ezb a { background-color:#cc1515; color:#fff; text-align:center; }
.limit-ezb-show, .limit-ezb-show a { background-color:#cc1515; color:#fff; text-align:center; }
.warning-ezb-show, .warning-ezb-show a { color:#999; text-align:center; }
.limit-sbb, .limit-sbb a { background-color:#cc1515; color:#fff; text-align:center; }
.limit-sbb-show, .limit-sbb-show a { background-color:#cc1515; color:#fff; text-align:center; }
.limit-illumination { background-color:#ffee00; color:#000; text-align:center; }
.limit-powerfail { background-color:#cc1515; color:#fff; text-align:center; }

.no-server { padding:4px 8px; background-color:#c00; color:#fff; }

.error { padding-top:6px; color:#c00; }

.filter { background-color:#aaa; padding:20px; }
.filter-field { display:inline-block; min-width:120px; margin-right:20px; }

.log-green { color:#090; }
.log-red { color:#c00; font-weight:bold; }

.trend { font-family:'Courier New'; font-size:10px; }

#switches { text-align:right; }
#switches a { display:inline-block; border:1px solid #999; padding: 2px 10px; margin-right:6px; font-size:80%; }
#switches a:hover { text-decoration:none; }
#switches a.selected { border:1px solid #999; background-color:#999; color:#fff; }

pre { padding:8px; border:1px solid #ccc; background-color:#f3f3f3; }